angular.module('beamng.apps')
  .directive('randomVehicle', ['Vehicles', 'InstalledContent', '$rootScope', function (Vehicles, InstalledContent, $rootScope) {
    return {
      templateUrl: '/ui/modules/apps/randomVehicle/template.html',
      replace: true,
      restrict: 'EA',
      link: function (scope, element, attrs) {
        Vehicles.populate();

        scope.spawnNew = function recursive(randomVehicle_type) {

          var randomVehicle_index = Math.floor(Math.random() * (InstalledContent.vehicles[randomVehicle_type].length + 1));
          var randomVehicle_object = InstalledContent.vehicles[randomVehicle_type][randomVehicle_index];
          if(randomVehicle_object.Type !== 'Prop') {
            switch (randomVehicle_type) {
              case "models" :
                Vehicles.addToGame(randomVehicle_object.key);
                console.log(randomVehicle_object);
                $rootScope.$broadcast('Message', {msg: 'Spawned: ' +randomVehicle_object.Brand + ' ' + randomVehicle_object.Name, ttl: 15, category: 'BreadModMessage', icon:'favorite_border'});
                break;
              case 'configs':
                var peter_Model = InstalledContent.vehicles.models.filter((elem) => elem.key === randomVehicle_object.model_key)[0];
                Vehicles.addToGame(randomVehicle_object.model_key, randomVehicle_object.key);
                $rootScope.$broadcast('Message', {msg: 'Spawned: ' + randomVehicle_object.Name, ttl: 15, category: 'BreadModMessage', icon:'favorite_border'});
                break;
              default:
            }
          } else {
            recursive(randomVehicle_type);
          }
        };
      }
    };
  }]);

